BLT for LabVIEW needs the following components to run:


Windows XP, Vista, 7, 8, 8.1, 10

*LabVIEW™ Development System with Application Builder (versions 2012 and greater), 32-bits and 64-bits.

*Enable LabVIEW™ VI Server (more details)

The application must be installed in a location that does not need administrator privileges (by default) or start the application as an administrator.


*These components are required only when you want to build and distribute product updates. You can launch BLT for LabVIEW™ without these requirements if you want to manage and monitor licenses only.



BLT for LabVIEW requires connectivity to different services hosted in the cloud. If your network is behind a corporate firewall, you might need to open some ports. See the section Ports used for more information.